digiKam Developer Documentation: Digikam::DNNModelInfoContainer Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::DNNModelInfoContainer Class Reference

## Public Member Functions
| DNNModelInfoContainer (const DNNModelInfoContainer &)
| DNNModelInfoContainer (const QString &_displayName, const QString &_toolTip, const QString &_fileName, const DNNModelUsageList &_usage, const QVersionNumber &_minVersion, const QString &_downloadPath, const QString &_sha256, const qint64 &_fileSize, int _defaultThreshold, int _minUsableThreshold, int _maxUsableThreshold, DNNLoaderType _loaderType, const QString &_preprocessor, const QString &_classifier, const QString &_classList, const QString &_configName, const cv::Scalar &_meanValToSubtract, int _imageSize)
DNNModelInfoContainer & | operator= (const DNNModelInfoContainer &)
DNNModelInfoContainer & | operator= (DNNModelInfoContainer &&)
bool | operator== (const DNNModelInfoContainer &t) const

## Public Attributes
QString | classifier
| Name of classifier type.
QString | classList
| Name of model containing list of class names for classification.
QString | configName
int | defaultThreshold = 0
| Threshold used for models that aren't configured by the UI.
QString | displayName
| Name used for display in UI (QComboBox).
QString | downloadPath
| Used by the downloader for the download path.
QString | fileName
| Used by the downloader and model loader.
qint64 | fileSize = 0
| Used by the downloader to verify size.
int | imageSize = 0
| Max dimension of a side of an image.
DNNLoaderType | loaderType = DNNLoaderNet
| Model loader type custom (YuNet/SFace), Caffe, Darknet, Torch, Tensorflow.
int | maxUsableThreshold = 0
| Used to convert UI 1-10 slider to float for processing.
cv::Scalar | meanValToSubtract = cv::Scalar(0.0, 0.0, 0.0)
int | minUsableThreshold = 0
| Used to convert UI 1-10 slider to float for processing.
QVersionNumber | minVersion
| Minimum version of digiKam needed to use this model.
QString | preprocessor
| Name of preprocessor type.
QString | sha256
| SHA265 hash of the file for download.
QString | toolTip
| Tooltip for the model.
DNNModelUsageList | usage
| How the model can be used. | for more than one use. face_detection, face_recognition, weight, object_detection, etc...